Skip to main content
GET
/
object-storage
/
{service_id}
Get Object Storage Service
curl --request GET \
  --url https://api.cloud.onidel.com/object-storage/{service_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "location": "<string>",
  "region": "<string>",
  "endpoint": "<string>",
  "capacity": 123,
  "used_capacity": 123,
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "renewal_date": "2023-11-07T05:31:56Z",
  "recurring_amount": 123,
  "download_usage": 123,
  "upload_usage": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

service_id
string<uuid>
required

Object storage service UUID

Query Parameters

team_id
string<uuid>

Team ID. Default team will be used if not provided.

Response

Successful operation

id
string<uuid>
name
string
location
string
region
string
endpoint
string
capacity
integer

Storage capacity in KB

used_capacity
integer

Used capacity in KB

status
enum<string>
Available options:
active,
suspended
created_at
string<date-time>
renewal_date
string<date-time>
recurring_amount
number
download_usage
integer

Download usage in bytes

upload_usage
integer

Upload usage in bytes